#ifndef DEBUGGERPROJECT_H
#define DEBUGGERPROJECT_H
/* All Rights reserved */

#include <AppKit/AppKit.h>
#include "GDBSession.h"

extern NSString *GSDebuggerProjectType;

extern NSString *GDBWillBecomeActiveProject;

@interface DebuggerProject : NSDocument
{
@protected
  id sourceFileView;
  id sessionWindow;

  GDBSession *session;

  id tempCommand, tempArguments;

  
}

- (id) init;

- (void) tempExec:(id)sender;
- (void) interrupt:(id)sender;

/* Basic methods for loading and saving document data */
- (BOOL) loadDataRepresentation:(NSData*)representation
  ofType:(NSString*)type;
- (NSData*) dataRepresentationOfType:(NSString*)type;

- (NSString*) windowNibName;
- (void) windowControllerDidLoadNib:(NSWindowController*)windowController;
@end
#endif

