#include <AppKit/NSApplication.h>
#include <AppKit/NSDocument.h>

#include "DebuggerProject.h"
#include "GDBResult.h"
#include "GDBSession.h"
#include "GDBInspectorManager.h"

NSString *GSDebuggerProjectType = @"GSDebuggerProjectType";
NSString *GDBWillBecomeActiveProject = @"GDBWillBecomeActiveProject";

@implementation DebuggerProject

- (id) init
{
  self = [super init];
  if (!self)
    return self;

  session = [[GDBSession alloc] init];
  return self;
}

- (void) dealloc
{
  if ([session isRunning])
    [session terminate];

  RELEASE(session);
  [super dealloc];
}


- (void) windowWillClose:(NSNotification*)notification
{
}

- (void) interrupt:(id)sender
{
  [session interruptTarget];
}

- (void) tempExec:(id)sender
{
  GDBResult* res;
  res = [session executeSynchronousCommand:[[tempCommand cellAtIndex:0] stringValue] 
    arguments:[[tempCommand cellAtIndex:1] stringValue]];
  NSLog(@"%d:%@", [res resultClass], [res records]);
}

- (BOOL) loadDataRepresentation:(NSData*)rep ofType:(NSString*)type
{
  return NO;
}

- (NSData*) dataRepresentationOfType:(NSString*)type
{
  return nil;
}

- (NSString*) windowNibName
{
  return @"DebuggerProject";
}

- (void) windowControllerDidLoadNib:(NSWindowController*)wincon
{
  if ([[wincon windowNibName] isEqual:[self windowNibName]])
    [session start];
}

- (void) makeWindowControllers
{
  NSWindowController *wincon;

  wincon = [[NSWindowController alloc] 
    initWithWindowNibName:[self windowNibName] owner:self];
  [wincon setShouldCloseDocument:YES];
  [self addWindowController:wincon];
  RELEASE(wincon);

  wincon = [[GDBInspectorManager sharedInspectorManager] sharedWindowController];
  [self addWindowController:wincon];
}
@end
