#include "GDBInspectorManager.h"
#include "GDBInspector.h"
#include <Foundation/NSNotification.h>

@interface GDBInspector (Private)
- (void) willInspectObject:(NSNotification*)not;
@end

@implementation GDBInspector (Private)
- (void) willInspectObject:(NSNotification*)not
{
  self->object = [not object];
  [self objectDidChange];
}
@end

@implementation GDBInspector

- (id) init
{
  NSNotificationCenter *defaultCenter;

  self = [super init];
  if (!self)
    return nil;
 
  defaultCenter = [NSNotificationCenter defaultCenter];
  [defaultCenter addObserver:self
    selector:@selector(willInspectObject:)
    name:GDBWillInspectObjectNotification
    object:nil];
  return self;
}

- (void) dealloc
{
  NSNotificationCenter *defaultCenter;

  defaultCenter = [NSNotificationCenter defaultCenter];
  [defaultCenter removeObserver:self];

  [super dealloc];
}

- (NSWindow*) window
{
  return nil;
}

- (float) priority
{
  return 0.0;
}

- (void) objectDidChange
{
}

- (id) object
{
  return self->object;
}

- (NSString*) title
{
  return @"<Unnamed>";
}

@end
