#ifndef INSPECTORMANAGER_H
#define INSPECTORMANAGER_H

#include <Foundation/NSObject.h>
#include <InterfaceBuilder/InterfaceBuilder.h>

@class NSString;
@class NSMutableArray;
@class NSPopUpButton;
@class NSWindowController;

@class GDBInspector;

NSString *GDBWillInspectObjectNotification;

@interface GDBInspectorManager : NSObject
{
@protected
  NSMutableArray *inspectors;
  id currentInspector;

  NSWindowController *sharedWindowController;
  NSPopUpButton *inspectorsList; 
}

+ (GDBInspectorManager *) sharedInspectorManager;
- (void) addInspector:(GDBInspector*)inspector;
- (GDBInspector*) currentInspector;
- (NSArray*) inspectors;
- (NSWindowController*) sharedWindowController;
@end
#endif
